%define libversion 1.4
Summary:  A library for controlling and tracing dynamic memory allocations.
Name: mpatrol
Version: 1.4.0
Release: 1
Source0: http://www.cbmamiga.demon.co.uk/mpatrol/files/%{name}_%{version}.tar.gz
Source1: http://www.cbmamiga.demon.co.uk/mpatrol/files/mpatrol_doc.tar.gz
URL: http://www.cbmamiga.demon.co.uk/mpatrol/
License: LGPL
Group: Development/Debuggers
PreReq: /sbin/install-info /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: i386

%description
The mpatrol library is yet another link library that attempts to
diagnose run-time errors that are caused by the wrong use of
dynamically allocated memory. It acts as a malloc() debugger for
debugging dynamic memory allocations, although it can also trace and
profile calls to malloc() and free() too.

%prep
%setup -q -n %{name} 

%build
cd build/unix
make libmpatrol.a libmpatrol.so.%{libversion}
make libmpatrolmt.a libmpatrolmt.so.%{libversion}
make libmpalloc.a libmpalloc.so.%{libversion}
make libmptools.a
make mpatrol mprof mleak 

%install
rm -rf %{buildroot}

#create the dirs
mkdir -p %{buildroot}{%{_bindir},%{_libdir},%{_infodir},%{_includedir}/mpatrol}
mkdir -p %{buildroot}{%{_mandir}/man{1,3},%{_datadir}/aclocal}

mv doc/README README.DOC
mv man/README README.MAN
mv man/html .
mv man/dvi .
mv man/ps .
mv man/pdf .

install -m755 build/unix/mpatrol %{buildroot}/%{_bindir}
install -m755 build/unix/mprof %{buildroot}/%{_bindir}
install -m755 build/unix/mleak %{buildroot}/%{_bindir}
install -m755 bin/mpsym %{buildroot}/%{_bindir}
install -m755 bin/mpedit %{buildroot}/%{_bindir}
install -m755 bin/hexwords %{buildroot}/%{_bindir}

install -m644 src/mpatrol.h %{buildroot}/%{_includedir}
install -m644 src/mpalloc.h %{buildroot}/%{_includedir}
install -m644 src/mpdebug.h %{buildroot}/%{_includedir}

install -m644 tools/*.h %{buildroot}/%{_includedir}/mpatrol
install -m644 tools/*.h %{buildroot}/%{_includedir}/mpatrol

install -m644 doc/mpatrol.info* %{buildroot}/%{_infodir}

install -m644 build/unix/libmpatrol.a %{buildroot}/%{_libdir}
install -m755 build/unix/libmpatrol.so.%{libversion} %{buildroot}/%{_libdir}
install -m644 build/unix/libmpatrolmt.a %{buildroot}/%{_libdir}
install -m755 build/unix/libmpatrolmt.so.%{libversion} %{buildroot}/%{_libdir}
install -m644 build/unix/libmpalloc.a %{buildroot}/%{_libdir}
install -m755 build/unix/libmpalloc.so.%{libversion} %{buildroot}/%{_libdir}
install -m644 build/unix/libmptools.a %{buildroot}/%{_libdir}

install -m644 man/man1/*.1 %{buildroot}/%{_mandir}/man1
rm -f %{buildroot}/%{_mandir}/man1/mptrace*

install -m644 man/man3/*.3 %{buildroot}/%{_mandir}/man3

install -m644 extra/mpatrol.m4 %{buildroot}/usr/share/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/mpatrol.info* %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/mpatrol.info* %{_infodir}/dir
fi

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc README README.DOC README.MAN COPYING COPYING.LIB NEWS ChangeLog
%doc doc/mpatrol.txt doc/mpatrol.guide doc/mpatrol.html
%doc doc/mpatrol.dvi doc/mpatrol.ps doc/mpatrol.pdf
%doc doc/refcard.dvi doc/refcard.ps doc/refcard.pdf
%doc doc/images html dvi ps pdf
%doc tests
%{_bindir}/*
%{_includedir}/mpalloc.h
%{_includedir}/mpatrol.h
%{_includedir}/mpdebug.h
%{_includedir}/mpatrol
%{_infodir}/*
%{_libdir}/*
%{_mandir}/*/*
%{_datadir}/aclocal/*

%changelog
* Sun Feb 25 2001 Tim Powers <timp@redhat.com>
- updated to 1.4.0

* Mon Jan  8 2001 Tim Powers <timp@redhat.com>
- updated to 1.3.3

* Thu Dec 21 2000 Tim Powers <timp@redhat.com>
- updated to 1.3.2

* Wed Dec  6 2000 Tim Powers <timp@redhat.com>
- updated to 1.3.1

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- forgot to include the info page, added that and the necessary things
  to the post and preun sections
- also forgot to include %{_includedir}/mpatrol.h, fixed

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- updated to 1.3.0
- using build and install process simular to the specfile included in
  the main tarball
- added the docs tarball to the sources

* Tue Oct 24 2000 Tim Powers <timp@redhat.com>
- Initial build for Powertools.

